<?
include ("../common/scripts/connect.inc.php");
session_start();

if(isset($_SESSION['idChar']) && isset($_SESSION['idTerrain'])){
	$id_mimichant=$_SESSION['idChar'];
	$id_terrier=$_SESSION['idTerrain'];

	if(isset($_POST['nbChoco']) && isset($_POST['id']) && isset($_POST['nom']))
	{
	  $id=$_POST['id'];
		$nom=$_POST['nom'];
		$nb_choco=$_POST['nbChoco'];
		
		//traitement de l'achat
		$result= pg_query($dbconn,"select * from sell_mimichant(".$id.",".$id_mimichant.", ".$id_terrier.", ".$nb_choco.", false)");	
		$ok=pg_fetch_row($result);
		
		//si l'achat s'est bien passé
		if($ok[0]=='t')
		{
		   echo 'Votre mimichant '.$nom.' a bien &eacute;t&eacute; mis en vente pour '.$nb_choco.' chocop&eacute;pites';
		}
		else
	  {
		echo 'Vous ne remplissez pas toutes les conditions pour pouvoir vendre le mimichant '.$nom;
	  }
	}
}


?>
